---
- auditable_type: WebServiceCommand
  field_name: command_id
  translation_key: field_names.command

- auditable_type: WebServiceCommand
  field_name: web_server_definition_id
  translation_key: field_names.web_server_definition

- auditable_type: WebServiceCommand
  field_name: app_url
  translation_key: field_names.app_url

- auditable_type: WebServiceCommand
  field_name: request_method
  translation_key: field_names.request_method
  values:
    - {value: "0", special_field: "0", translation_key: "web_service_commands.request_method_get"}
    - {value: "1", special_field: "0", translation_key: "web_service_commands.request_method_post"}
    - {value: "2", special_field: "0", translation_key: "web_service_commands.request_method_put"}
    - {value: "3", special_field: "0", translation_key: "web_service_commands.request_method_delete"}

- auditable_type: WebServiceCommand
  field_name: message_body
  translation_key: field_names.message_body_override
  values:
    - {value: "0", special_field: "0", translation_key: "web_service_commands.message_body_none"}
    - {value: "1", special_field: "0", translation_key: "field_names.message_body_string"}
    - {value: "2", special_field: "0", translation_key: "field_names.message_body_file"}

- auditable_type: WebServiceCommand
  field_name: string_body
  translation_key: field_names.message_body_string

- auditable_type: WebServiceCommand
  field_name: url_encode
  translation_key: field_names.url_encode
  values:
    - {value: "true", special_field: "0", translation_key: "common.key_yes"}
    - {value: "false", special_field: "0", translation_key: "common.key_no"}

- auditable_type: WebServiceCommand
  field_name: file_body
  translation_key: field_names.message_body_file

- auditable_type: WebServiceCommand
  field_name: output_type
  translation_key: field_names.log_to_console
  values:
    - {value: "0", special_field: "0", translation_key: "web_service_commands.log_to_console_no"}
    - {value: "1", special_field: "0", translation_key: "web_service_commands.log_to_console_yes"}
    - {value: "2", special_field: "0", translation_key: "web_service_commands.log_only_on_fail"}

- auditable_type: WebServiceCommand
  field_name: output_to_file
  translation_key: field_names.output_to_file
  values:
    - {value: "true", special_field: "0", translation_key: "common.key_yes"}
    - {value: "false", special_field: "0", translation_key: "common.key_no"}

- auditable_type: WebServiceCommand
  field_name: output_file_name
  translation_key: field_names.output_file_name

- auditable_type: WebServiceCommand
  field_name: output_headers_to_file
  translation_key: field_names.output_headers_to_file
  values:
    - {value: "true", special_field: "0", translation_key: "common.key_yes"}
    - {value: "false", special_field: "0", translation_key: "common.key_no"}

- auditable_type: WebServiceCommand
  field_name: output_headers_file_name
  translation_key: field_names.output_headers_file_name
- auditable_type: WebServiceCommand
  field_name: line_number
  translation_key: field_names.line_number
